> ## Documentation Index
> Fetch the complete documentation index at: https://learn.servitly.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get product-model-part by id
> Returns the product-model-part identified by the given id, with its descriptions, technical schemes, parent product-model and parent part.
Required permissions: READ_PRODUCT_MODEL.
## OpenAPI
````json GET /inventory/productModelParts/{productModelPartId}
{
"openapi": "3.1.0",
"info": {
"title": "Servitly DPS API",
"version": "1.0.0"
},
"servers": [
{
"url": "https://api.servitly-sandbox.com",
"description": "[AWS SANDBOX]"
},
{
"url": "https://api.servitly.com",
"description": "[AWS PRODUCTION Ireland]"
},
{
"url": "https://api-ap.servitly.com",
"description": "[AWS Hong Kong]"
},
{
"url": "https://azapi.servitly-dev.com",
"description": "[AZURE DEV Frankfurt]"
},
{
"url": "https://azapi.servitly-staging.com",
"description": "[AZURE STAGING Frankfurt]"
},
{
"url": "https://azapi.servitly.com",
"description": "[AZURE PRODUCTION Frankfurt]"
}
],
"security": [
{
"bearerAuth": []
}
],
"tags": [
{
"name": "ACTIONS"
},
{
"name": "ALERTS"
},
{
"name": "API GATEWAY"
},
{
"name": "AUTHENTICATION"
},
{
"name": "AUTHORIZATIONS"
},
{
"name": "CUSTOMERS"
},
{
"name": "DATA IMPORT / EXPORT"
},
{
"name": "EVENTS"
},
{
"name": "LOCATIONS"
},
{
"name": "MAINTENANCE"
},
{
"name": "MAPPING"
},
{
"name": "METRIC DATA"
},
{
"name": "MOBILE APP"
},
{
"name": "ORGANIZATION"
},
{
"name": "PARTNERS"
},
{
"name": "PRODUCT MODELS"
},
{
"name": "SPARE PARTS"
},
{
"name": "STATISTICS"
},
{
"name": "STORE ORDERS"
},
{
"name": "SUBSCRIPTIONS"
},
{
"name": "SUBSCRIPTIONS (OLD)"
},
{
"name": "THING CONTROL"
},
{
"name": "THING DEFINITIONS"
},
{
"name": "THING MANAGEMENT"
},
{
"name": "THINGS"
},
{
"name": "TICKETS"
},
{
"name": "USER TYPES"
},
{
"name": "USERS"
},
{
"name": "WORK SESSIONS"
}
],
"paths": {
"/inventory/productModelParts/{productModelPartId}": {
"get": {
"summary": "Get product-model-part by id",
"description": "Returns the product-model-part identified by the given id, with its descriptions, technical schemes, parent product-model and parent part.
Required permissions: READ_PRODUCT_MODEL.",
"tags": [
"PRODUCT MODELS"
],
"parameters": [
{
"$ref": "#/components/parameters/tenantNameHeader"
},
{
"in": "path",
"name": "productModelPartId",
"required": "true",
"schema": {
"$ref": "#/components/schemas/ObjectId"
},
"description": "The product-model identifier."
}
],
"responses": {
"200": {
"description": "Successful operation.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProductModelPart"
}
}
}
},
"401": {
"$ref": "#/components/responses/NotAuthenticated"
},
"403": {
"$ref": "#/components/responses/NotAuthorized"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"429": {
"$ref": "#/components/responses/ApiLimit"
},
"500": {
"$ref": "#/components/responses/IntError"
}
}
}
}
},
"components": {
"parameters": {
"tenantNameHeader": {
"in": "header",
"name": "X-Servitly-Tenant",
"required": "true",
"schema": {
"type": "string",
"example": "{{tenantName}}"
},
"description": "The name of the tenant (e.g. acme)."
}
},
"schemas": {
"ObjectId": {
"type": "string",
"example": "abcd1234",
"minimum": "1",
"description": "The object identifier (e.g. 6620e4bb42541977c406b984)."
},
"ProductModelPart": {
"type": "object",
"required": [
"name"
],
"properties": {
"id": {
"type": "string",
"description": "The product-model-part object identifier.",
"readOnly": "true"
},
"name": {
"type": "string",
"description": "The product-model-part name."
},
"description": {
"type": "string",
"description": "The product-model-part description text."
},
"technicalDescription": {
"type": "string",
"description": "The product-model-part technical description text."
},
"technicalSchemes": {
"description": "The technical schemes associated with this product-model.",
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string",
"description": "The schema identification code."
},
"name": {
"type": "string",
"description": "The schema name."
},
"description": {
"type": "string",
"description": "The schema description text."
},
"imageUrl": {
"type": "string",
"description": "The schema HTTPS image URL."
},
"contentType": {
"type": "string",
"enum": [
"PNG",
"SVG"
],
"description": "The schema image content type. In case of SVG, the schema is embedded into the page HTML and becomes clickable according to positions."
}
}
}
},
"productModelId": {
"type": "string",
"description": "The id of the parent product-model."
},
"parentProductModelPartId": {
"type": "string",
"description": "The id of the parent product-model-part in case of sub-part."
},
"thingDefinitionId": {
"type": "string",
"description": "The id of the thing-definition with which the product-model-part is associated."
},
"technicalSchemePosition": {
"type": "string",
"description": "The position identifier within the scheme of the parent element (product model or model part)."
}
}
}
},
"responses": {
"NotAuthenticated": {
"description": "User not authenticated.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authenticated"
}
}
}
}
}
},
"NotAuthorized": {
"description": "User not authorized.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authorized"
}
}
}
}
}
},
"NotFound": {
"description": "Resource was not found.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Resource not found"
}
}
}
}
}
},
"ApiLimit": {
"description": "API call rate limit exceeded.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "API call rate limit exceeded"
}
}
}
}
}
},
"IntError": {
"description": "Internal server error.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Internal Server Error"
}
}
}
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer"
}
}
}
}
````